unit basicunit;
{$mode delphi} {$H+}
interface
uses  Classes, SysUtils;
Procedure ModulesInit;
Procedure ModulesDone;
procedure BASICmain;

Const DrawTimeInterval=1;
Const DrawStartDelay=1;

implementation
uses Forms, math, graphics,
 windows,winlib,
  base,base2,textfrm,textfile,arrays,affine,graphsys,
  math2sub,datalist,baslib,graphlib,debugdg,paintfrm,
  MyThread,assignlib, mathlib;
{$MAXFPUREGISTERS 0}





(* Modules initialize and dispose *)
Procedure ModulesInit;
begin
end;
Procedure ModulesDone;
begin
end;

(* Main Program *)
procedure BASICmain;
begin
//  print sqr(3)
console.PRINT([],rsNone, false ,[1.7320508075688772, TNewLine.create ]);
//  END

end;{end main}
initialization
  AppName:='';
  SystemStackSize := 66584576;
  signiwidth0:=13;
  TextMode := true ;
  GraphMode:= false ;
  BMPSize:=BMP1001;
  TextProblemCoordinate:= false ;
  UseCharInput:= false ;
  FontCharSet:=1;
  FontSize:=0;
  FontName:='default';
  FontStyle:=[];
  FirstThreadPriority:=tpNormal;



Finalization



end.
